summaryrefslogtreecommitdiffstats
path: root/development/postman
diff options
context:
space:
mode:
author Ebben Aries2019-01-14 02:50:02 +0100
committer Willy Sudiarto Raharjo2019-01-14 02:50:02 +0100
commit289f5120c531977e6fed6a51c8081bcd71a31c8d (patch)
tree7d8aa95e25d960ab1e72d9801b606bc89679742a /development/postman
parent3cd5704f70d12de846e1fedc6d2ed74bc6c3a961 (diff)
downloadslackbuilds-289f5120c531977e6fed6a51c8081bcd71a31c8d.tar.gz
development/postman: Added (Test Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/postman')
-rw-r--r--development/postman/README12
-rw-r--r--development/postman/doinst.sh2
-rw-r--r--development/postman/postman.SlackBuild89
-rw-r--r--development/postman/postman.info10
-rw-r--r--development/postman/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/development/postman/README b/development/postman/README
new file mode 100644
index 0000000000..334c00a25e
--- /dev/null
+++ b/development/postman/README
@@ -0,0 +1,12 @@
+postman (Build, test, and document your APIs faster)
+
+Postman makes API development faster, easier, and better.
+
+Postman features include:
+* Powerful, simple to use GUI
+* Saved history of API requests
+* Unlimited collections, environments, tests, and sharing
+* Automated testing with collection runner
+* Web-viewable, detailed API documentation
+* Flexible API monitoring, for uptime, performance, and accuracy
+* Mock servers, to support split-stack development
diff --git a/development/postman/doinst.sh b/development/postman/doinst.sh
new file mode 100644
index 0000000000..39f9be1ff4
--- /dev/null
+++ b/development/postman/doinst.sh
@@ -0,0 +1,2 @@
+( cd usr/bin ; rm -rf postman )
+( cd usr/bin ; ln -sf /opt/postman/app/Postman postman )
diff --git a/development/postman/postman.SlackBuild b/development/postman/postman.SlackBuild
new file mode 100644
index 0000000000..f42e54d8ac
--- /dev/null
+++ b/development/postman/postman.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for Postman
+
+# Copyright 2018 Ebben Aries <e@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=postman
+SRCDIR=Postman
+SRCNAM=linux
+VERSION=${VERSION:-6.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$ARCH" in
+ x86_64)
+ SRC="${SRCNAM}64"
+ ;;
+ i586)
+ SRC="${SRCNAM}32"
+ ;;
+ i686)
+ SRC="${SRCNAM}32"
+ ;;
+ *)
+ echo "$ARCH is not supported."
+ exit 1
+ ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRC
+cd $SRCDIR
+chown -R root:root .
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+rm -rf Postman
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/postman/postman.info b/development/postman/postman.info
new file mode 100644
index 0000000000..90c0d2a3e0
--- /dev/null
+++ b/development/postman/postman.info
@@ -0,0 +1,10 @@
+PRGNAM="postman"
+VERSION="6.7.1"
+HOMEPAGE="https://www.getpostman.com"
+DOWNLOAD="https://dl.pstmn.io/download/version/6.7.1/linux32"
+MD5SUM="ab7a1de5e1cc0886580cfb9b25564fab"
+DOWNLOAD_x86_64="https://dl.pstmn.io/download/version/6.7.1/linux64"
+MD5SUM_x86_64="3318027232eb31685b084ff5fc19e483"
+REQUIRES=""
+MAINTAINER="Ebben Aries"
+EMAIL="e@dscp.org"
diff --git a/development/postman/slack-desc b/development/postman/slack-desc
new file mode 100644
index 0000000000..6cda6f43fe
--- /dev/null
+++ b/development/postman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+postman: postman (Build, test, and document your APIs faster)
+postman:
+postman: Postman makes API development faster, easier, and better.
+postman:
+postman:
+postman:
+postman:
+postman:
+postman: Website: https://www.getpostman.com
+postman:
+postman: